/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

using UnrealBuildTool;

public class InworldCharacterEditor : ModuleRules
{
	public InworldCharacterEditor(ReadOnlyTargetRules Target) : base(Target)
	{
		PCHUsage = PCHUsageMode.UseExplicitOrSharedPCHs;

		PublicDependencyModuleNames.AddRange(new string[] { "Core", "CoreUObject", "Engine" });

		PrivateDependencyModuleNames.AddRange(
			new string[]
			{
				"InworldCharacter",
				"UnrealEd",
				"Slate",
				"SlateCore",
				"PropertyEditor",
                "InputCore"
            }
		);

	}
}
